<?php
defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.modellist');
jimport('joomla.filesystem.file');

class DepositsModelDeposits extends JModelList
{
        public function getAllDeposits()
        {
                $db = JFactory::getDbo();
                 
                $query = $db->getQuery(true);
                 
                $query->select(  array('*') );
                $query->from($db->quoteName('#__deposits_deposits'));
                // $query->where($db->quoteName('status') . ' = 1');                 
                $db->setQuery($query);
                 
                return $results = $db->loadObjectList();
        }        
        public function getDeposit($id)
        {
                $db = JFactory::getDbo();
                 
                $query = $db->getQuery(true);
                 
                $query->select(  array('*')  );
                $query->from($db->quoteName('#__deposits_deposits'));
                $query->where(' id = '. $id );
                 
                $db->setQuery($query);
                 
                return $results = $db->loadObject();
        }        
       
        public function newDeposit($input)
        {
                $db = JFactory::getDbo();
                $query = $db->getQuery(true);
                $columns = array('name', 'cash', 'web', 'office', 'mindeposit', 'maxdeposit', 'procent', 'period', 'periodmax', 'dosrok', 'chast', 'progressice','documents','link', 'comments', 'add_date', 'bank', 'offer_date', 'procent_cap', 'capitalization', 'pensioners', 'periodviplat', 'popolnenie');
                $values = array(
                    $db->quote($input->getHtml('deposit-name', 'undefined')),
                    $db->quote($input->getHtml('deposit-cash', '')),
                    $input->getInt('deposit-web', 0),
                    $input->getInt('deposit-office', 0),
                    $input->getInt('deposit-min', 0),
                    $input->getInt('deposit-max', 0),
                    $input->getInt('deposit-procent', 0),
                    $input->getInt('deposit-period', 0),
                    $input->getInt('deposit-periodmax', 0),
                    $input->getInt('deposit-dosrok', 0),
                    $input->getInt('deposit-chast', 0),
                    $input->getInt('deposit-progress', 0),
                    $db->quote($input->getHtml('deposit-documents', '-')),
                    $db->quote($input->getHtml('deposit-link', '-')),
                    $db->quote($input->getHtml('deposit-comments', '-')),
                    $db->quote(date('Y-m-d H:i:s')),
                    $db->quote($input->getHtml('deposit-bank', '-')),
                    $db->quote($input->getHtml('deposit-offer_date', '-')),
                    $input->getInt('deposit-procent_cap', 0),
                    $input->getInt('deposit-capitalization', 0),
                    $input->getInt('deposit-pensioners', 0),
                    $input->getInt('deposit-periodviplat', 0),
                    $input->getInt('deposit-popolnenie', 0)
                );                

                $query
                    ->insert($db->quoteName('#__deposits_deposits'))
                    ->columns($db->quoteName($columns))
                    ->values(implode(',', $values));
                 
                $db->setQuery($query);
                if($db->query()){
                    JFactory::getApplication()->enqueueMessage('Депозит успешно добавлен в базу');
                    return true;
                } else {
                    JFactory::getApplication()->enqueueMessage('Ошибка добавления депозита', 'error');
                    return false;
                }
                    // JFactory::getApplication()->enqueueMessage('Ошибка добавления объекта', 'error');
        }
        public function updateDeposit($input)
        {
                $db = JFactory::getDbo();
                $query = $db->getQuery(true);
                $values = array(
                    'name ='.$db->quote($input->getHtml('deposit-name', 'undefined')),
                    'cash ='.$db->quote($input->getHtml('deposit-cash', '')),
                    'web ='.$input->getInt('deposit-web', 0),
                    'office ='.$input->getInt('deposit-office', 0),
                    'mindeposit ='.$input->getInt('deposit-min', 0),
                    'maxdeposit ='.$input->getInt('deposit-max', 0),
                    'procent ='.$input->getInt('deposit-procent', 0),
                    'period ='.$input->getInt('deposit-period', 0),
                    'periodmax ='.$input->getInt('deposit-periodmax', 0),
                    'dosrok ='.$input->getInt('deposit-dosrok', 0),
                    'chast ='.$input->getInt('deposit-chast', 0),
                    'progressice ='.$input->getInt('deposit-progress', 0),
                    'documents ='.$db->quote($input->getHtml('deposit-documents', '-')),
                    'link ='.$db->quote($input->getHtml('deposit-link', '-')),
                    'comments ='.$db->quote($input->getHtml('deposit-comments', '-')),
                    'bank ='.$db->quote($input->getHtml('deposit-bank', '-')),
                    'offer_date ='.$db->quote($input->getHtml('deposit-offer_date', '-')),
                    'procent_cap ='.$input->getInt('deposit-procent_cap', 0),
                    'capitalization ='.$input->getInt('deposit-capitalization', 0),
                    'pensioners ='.$input->getInt('deposit-pensioners', 0),
                    'periodviplat ='.$input->getInt('deposit-periodviplat', 0),
                    'popolnenie ='.$input->getInt('deposit-popolnenie', 0)
                );                

                $conditions = array( 'id = '.JRequest::getVar('id', null, 'post'));

                $query->update($db->quoteName('#__deposits_deposits'))->set($values)->where($conditions);
                $db->setQuery($query);
                if($db->query()){
                    JFactory::getApplication()->enqueueMessage('Депозит успешно обновлен');
                    return true;
                } else {
                    JFactory::getApplication()->enqueueMessage('Ошибка обновления депозита', 'error');
                    return false;
                }
        }
        public function deleteDeposit($input)
        {
            $id = $input->getInt('id', 0);
            $db = JFactory::getDbo();     
            $query = $db->getQuery(true);
            $conditions = array( 'id = '.$id);

                $query->delete($db->quoteName('#__deposits_deposits'))->where($conditions);
                $db->setQuery($query);
                if($db->query()){
                    JFactory::getApplication()->enqueueMessage('Депозит успешно удален из базы');
                    return true;
                } else {
                    JFactory::getApplication()->enqueueMessage('Ошибка обработки');
                    return false;
                }
        } 
}