<?
defined('_JEXEC') or die('Restricted access');
// $topbar = new JLayoutFile('topbar', $basePath = JPATH_ROOT .'/administrator/components/com_deposits/layouts');
// echo $topbar->render($data);

$dep = $this->deposit;

$cash = Array(
	Array('rub', 'Рубль'), 
	Array('eur', 'Евро'), 
	Array('dol', 'Доллар'));
$estnet = Array(
		Array(0, 'Нет'), 
		Array(1, 'Есть'));
$periods = Array(
		Array(0, 'В конце срока'), 
		Array(1, 'Каждый месяц'),
		Array(2, 'Каждые 2 мес.'),
		Array(3, 'Каждые 3 мес.'),
		Array(4, 'Ежеквартально'),
		Array(6, 'Каждые пол года'),
		Array(12, 'Каждый год')
		);
			    ?>
<jdoc:include type="message" />
<div class="row-fluid">
	<div class="span12">
		<h1>Редактирование депозита</h1>
	</div>
	<div class="row-fluid">
		<form class="form" action="index.php" method="POST" id="addnew">
			<div class="control-group">
			    <label class="control-label" for="deposit-name">Название</label>
			    
			    <div class="controls">
			    	<input type="text" value="<?=$dep->name?>" name="deposit-name" id="deposit-name" placeholder="" required>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-bank">Банк</label>
			    
			    <div class="controls">
			    	<input type="text" value="<?=$dep->bank?>" name="deposit-bank" id="deposit-bank" placeholder="" required>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-cash">Валюта</label>
			    
			    <div class="controls">
			    	<select type="text" name="deposit-cash" id="deposit-cash" placeholder="" required>
						<?php echo $this->renderOptions($cash, $dep->cash); ?>
			    	</select>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-web">Онлайн оформление</label>
			    
			    <div class="controls">
					<select type="text" name="deposit-web" id="deposit-web" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->web); ?>
			    	</select>			    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-office">Оформление в офисе</label>
			    
			    <div class="controls">
					<select type="text" name="deposit-office" id="deposit-office" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->office); ?>
			    	</select>			    
			    </div>
			</div>
			
			<div class="control-group">
			    <label class="control-label" for="deposit-pensioners">Только для пенсионеров</label>
			    
			    <div class="controls">
					<select type="text" name="deposit-pensioners" id="deposit-pensioners" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->pensioners); ?>
			    	</select>			    
			    </div>
			</div>


			<div class="control-group">
			    <label class="control-label" for="deposit-min">Сумма вклада по депозиту</label>
			    
			    <div class="controls">
			    <div class="input-append">
			    	<input type="number" class="input-small" value="<?=$dep->mindeposit?>" name="deposit-min" id="deposit-min" placeholder="" required>
			    	<span class="add-on">Мин.</span>
			    </div>
			    <div class="input-append">
			    	<input type="number" class="input-small" value="<?=$dep->maxdeposit?>" name="deposit-max" id="deposit-max" placeholder="" required>
			    	<span class="add-on">Макс.</span>
			    </div>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-procent">Ставка</label>
			    
			    <div class="controls">
			    <div class="input-append">
			    	<input type="number" class="input-small" value="<?=$dep->procent?>" min="0" max="100" name="deposit-procent" id="deposit-procent" placeholder="" required>
			    <span class="add-on">%</span>
			    </div>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-capitalization">Капитализация процентов</label>
			    
			    <div class="controls">
					<select  name="deposit-capitalization" id="deposit-capitalization" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->capitalization); ?>
			    	</select>			    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-procent_cap">Эффективная процентная ставка при капитализации процентов</label>
			    
			    <div class="controls">
			    <div class="input-append">
			    	<input type="number" class="input-small" min="0" value="<?=$dep->procent_cap?>" max="100" name="deposit-procent_cap" id="deposit-procent_cap" placeholder="" >
			    <span class="add-on">%</span>
			    </div>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-popolnenie">Пополнение</label>
			    
			    <div class="controls">
					<select  name="deposit-popolnenie" id="deposit-popolnenie" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->popolnenie); ?>
			    	</select>			    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-periodviplat">Периодичность выплаты процентов</label>
			    
			    <div class="controls">
					<select name="deposit-periodviplat" id="deposit-periodviplat" placeholder="" required>
						<?php echo $this->renderOptions($periods, $dep->periodviplat); ?>
			    	</select>			    
			    </div>
			</div>

			<div class="control-group">
			    <label class="control-label" for="deposit-period">Срок вклада</label>
			    
			    <div class="controls">
			    <div class="input-append input-prepend">
			    	<input type="number" min="1" max="1000" class="input-small" value="<?=$dep->period?>" name="deposit-period" id="deposit-period" placeholder="1" required>
			    	<span class="add-on">до</span>
			    	<input type="number" min="1" max="100000" class="input-small" value="<?=$dep->periodmax?>" name="deposit-periodmax" id="deposit-periodmax" placeholder="100" required>
			    	<span class="add-on">дн.</span>
			    </div>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-dosrok">Полное досрочное снятие без потери выплаченных процентов</label>
			    
			   <div class="controls">
					<select type="text" name="deposit-dosrok" id="deposit-dosrok" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->dosrok); ?>
			    	</select>			    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-chast">Частичное досрочное снятие</label>
			    
			    <div class="controls">
					<select type="text" name="deposit-chast" id="deposit-chast" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->chast); ?>
			    	</select>			    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-progress">Прогрессивная шкала</label>
			    
			    <div class="controls">
					<select type="text" name="deposit-progress" id="deposit-progress" placeholder="" required>
						<?php echo $this->renderOptions($estnet, $dep->progress); ?>
			    	</select>	
			    	<span class="help-inline">Наличие прогрессивной шкалы процентной ставки в зависимости от фактического срока вклада</span>		    
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-documents">Дополнительная документация</label>
			    
			    <div class="controls">
			    	<input type="text" name="deposit-documents" value="<?=$dep->documents?>" id="deposit-documents" placeholder="" >
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-offer_date">Возможность заключения договора вклада до</label>
			    
			    <div class="controls">
			    <?
				echo JHTML::calendar($dep->offer_date,'deposit-offer_date','deposit-offer_date','%Y-%m-%d');
			    ?>
			    	<div class="help-inline">по умолчанию отсутсвует</div>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-link">Ссылка</label>
			    
			    <div class="controls">
			    	<input type="text" name="deposit-link" value="<?=$dep->link?>" id="deposit-link" placeholder="http://" required>
			    </div>
			</div>
			<div class="control-group">
			    <label class="control-label" for="deposit-comments">Комментарии</label>
			    
			    <div class="controls">
			    	<input type="text" name="deposit-comments" value="<?=$dep->comments?>" id="deposit-comments" placeholder="" >
			    </div>
			</div>
			<div class="control-group form-actions">
			<input type="hidden" name="view" value="deposits">
			<input type="hidden" name="task" value="updateDeposit">
			<input type="hidden" name="option" value="com_deposits">
			<input type="hidden" name="id" value="<?=$dep->id?>">
				<button class="btn btn-success" type="submit">Редактировать</button>
			</div>

		</form>
	</div>
</div>
<script>
	jQuery(document).ready(function($){
		var checkCap = function(event)
		{
			var val = $('#deposit-capitalization').val();
			console.log(val);

			if(val == 1){
				$('.deposit-procent_cap').show(300);
			} else {
				$('.deposit-procent_cap').hide(300);
			}
		}
		$('#deposit-capitalization').on('change', checkCap);
		checkCap();
	});
</script>